Security Enhanced Linux Reference Policy

# Layer: services

## Module: devicekit

Interfaces

### Description:

Devicekit modular hardware abstraction layer

### Interfaces:

devicekit_admin( domain , role , terminal )

##### Summary

All of the rules required to administrate an devicekit environment

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | The role to be allowed to manage the devicekit domain.
terminal | The type of the user terminal.

devicekit_dbus_chat( domain )

##### Summary

Send and receive messages from devicekit over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

devicekit_dbus_chat_disk( domain )

##### Summary

Send and receive messages from devicekit disk over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

devicekit_dbus_chat_power( domain )

##### Summary

Send and receive messages from devicekit power over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

devicekit_dgram_send( domain )

##### Summary

Send to devicekit over a unix domain datagram socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

devicekit_domtrans( domain )

##### Summary

Execute a domain transition to run devicekit.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

devicekit_domtrans_disk( domain )

##### Summary

Execute a domain transition to run devicekit disk.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

devicekit_domtrans_power( domain )

##### Summary

Execute a domain transition to run devicekit power.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

devicekit_read_pid_files( domain )

##### Summary

Read devicekit PID files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

devicekit_signal_power( domain )

##### Summary

Send signal devicekit power

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return